> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls



## OpenAPI

````yaml /openapi.json get /v1/calls
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/calls:
    get:
      tags:
        - Calls
      summary: List Calls
      operationId: calls.list
      parameters:
        - in: query
          name: page
          description: Page number, 0 indexed.
          schema:
            type: integer
            default: 0
            minimum: 0
          required: false
        - in: query
          name: limit
          description: The page size
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 200
          required: false
        - in: query
          name: classification
          schema:
            type: array
            items:
              enum:
                - payment_inquiry
                - payment_promise
                - account_inquiry
                - invoice_inquiry
                - refund_request
                - cancellation_request
                - support_request
                - complaint
                - feedback
                - wrong_contact
                - message_forwarding_request
                - cc_inclusion_request
                - not_available
                - contact_inquiry
                - other
          required: false
          explode: true
          style: form
        - in: query
          name: direction
          schema:
            enum:
              - inbound
              - outbound
          required: false
        - in: query
          name: invoice
          description: The `Invoice` identifier, (e.g. `inv_abc123`).
          schema:
            type: string
          required: false
        - in: query
          name: partner
          description: The `Partner` identifier, (e.g. `ptn_abc123`).
          schema:
            type: string
          required: false
        - in: query
          name: sentiment
          schema:
            type: array
            items:
              enum:
                - positive
                - negative
                - neutral
                - unknown
          required: false
          explode: true
          style: form
        - in: query
          name: workflow
          description: The `OutreachWorkflow` identifier, (e.g. `otwfl_abc123`).
          schema:
            type: string
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallsList'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    CallsList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Call'
        current_page:
          type: integer
          default: 0
          description: The current page.
        total_records:
          type: integer
          default: 0
          description: Total number of records.
        next_page:
          type: integer
          default: null
          description: The next page, if one exists.
          nullable: true
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    Call:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        agent_id:
          type: string
          nullable: true
        approver:
          $ref: '#/components/schemas/User'
        approver_id:
          type: string
          maxLength: 32
          nullable: true
        call_agent_id:
          type: string
          maxLength: 32
          nullable: true
        call_reason:
          type: string
          nullable: true
        classifications:
          type: array
          items:
            $ref: '#/components/schemas/InteractionClassification'
        created_at:
          type: string
          format: date-time
        custom_classifications:
          type: array
          description: Custom classifications for the call.
          items:
            type: string
          nullable: true
        direction:
          maxLength: 8
          enum:
            - inbound
            - outbound
        disconnection_reason:
          type: string
          nullable: true
        end_time:
          type: string
          format: date-time
          nullable: true
        from_number:
          type: string
          description: The calling number.
          nullable: true
        in_voicemail:
          type: boolean
          description: Whether the call is entered voicemail.
        invoices:
          type: array
          items:
            $ref: '#/components/schemas/Invoice'
        is_automated:
          type: boolean
          description: >-
            Whether the call was automatically initiated by a workflow or an AI
            agent.
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        partner:
          $ref: '#/components/schemas/PartnerUpdate1'
        partner_id:
          type: string
          maxLength: 32
          nullable: true
        recording_url:
          readOnly: true
        retell_id:
          type: string
          nullable: true
        sentiment:
          maxLength: 8
          description: Sentiment of the user in the call.
          enum:
            - positive
            - negative
            - neutral
            - unknown
            - null
          nullable: true
        start_time:
          type: string
          format: date-time
          nullable: true
        status:
          maxLength: 16
          enum:
            - pending_approval
            - queued
            - registered
            - initiated
            - ringing
            - canceled
            - in_progress
            - completed
            - busy
            - no_answer
            - failed
        summary:
          type: string
          description: The summary of the call.
          nullable: true
        to_number:
          type: string
          description: The number to call
        transcript: {}
        transcript_str:
          type: string
          description: The transcript of the call.
          nullable: true
        transferred_to:
          type: string
          maxLength: 32
          description: >-
            The number the call was transferred to, if any. This is typically
            used for inbound calls where the call was transferred to a different
            number.
          nullable: true
        workflow:
          $ref: '#/components/schemas/OutreachWorkflowUpdate'
      required:
        - direction
        - object
        - to_number
    User:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        dashboard_settings:
          $ref: '#/components/schemas/DashboardSettings'
        default_email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        email:
          type: string
          maxLength: 255
        family_name:
          type: string
        given_name:
          type: string
        invited_by_user_id:
          type: string
          maxLength: 32
          nullable: true
        is_access_approved:
          type: boolean
        is_org_admin:
          type: boolean
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          readOnly: true
        object:
          type: string
        onboarding_required:
          type: boolean
        organization_id:
          type: string
          maxLength: 32
        profile_picture:
          type: string
        selected:
          type: boolean
      required:
        - email
        - family_name
        - given_name
        - object
        - organization_id
    InteractionClassification:
      type: object
      properties:
        action_recommendation:
          type: string
          description: >-
            Necessary actions that need to be taken in response to this
            interaction
          nullable: true
        agent_confidence_reason:
          type: string
          description: The justification for the agent's confidence score.
          nullable: true
        agent_confidence_score:
          type: integer
          description: >-
            The confidence score of the result on a scale of 0-100, where 0
            indicates no confidence in the accuracy of the result and 100
            indicates full confidence in the accuracy of the result.
          nullable: true
        agent_error_code:
          type: string
          description: The code for why an error occurred when processing the statement.
          nullable: true
        agent_reply_reason:
          type: string
          description: >-
            Very short reason for LLM's chain of thought for setting
            is_response_required to True or False.
        agent_uncertainties:
          type: array
          description: A list of uncertainties we have regarding the result.
          items:
            type: string
        classification:
          maxLength: 26
          description: The type of this interaction
          enum:
            - payment_inquiry
            - payment_promise
            - account_inquiry
            - invoice_inquiry
            - refund_request
            - cancellation_request
            - support_request
            - complaint
            - feedback
            - wrong_contact
            - message_forwarding_request
            - cc_inclusion_request
            - not_available
            - contact_inquiry
            - other
        created_at:
          type: string
          format: date-time
        is_action_required:
          type: boolean
          description: >-
            Whether an action or actions need to be taken as a result of this
            interaction
        is_reply_required:
          type: boolean
          description: Whether an email needs to be sent as a reply to this interaction
        language:
          type: string
          maxLength: 2
          description: >-
            The detected language of the interaction using ISO 639-1 alpha-2
            code.
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        reason:
          type: string
          description: The reason for the classifications of the interaction
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/Task'
      required:
        - agent_reply_reason
        - classification
        - is_action_required
        - is_reply_required
        - object
        - reason
    Invoice:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        amount_due:
          type: integer
          description: >-
            The amount to be paid on invoice, in the currency's smallest unit.
            (e.g. 10.00 USD -> 1000)
        amount_paid:
          type: integer
          description: >-
            The invoice's total amount paid, in the currency's smallest unit.
            (e.g. 10.00 USD -> 1000)
        assignee:
          $ref: '#/components/schemas/User'
        billing_address:
          $ref: '#/components/schemas/Address'
        billing_address_id:
          type: integer
          nullable: true
        billing_email:
          type: string
          maxLength: 255
          nullable: true
        calls:
          type: array
          items:
            $ref: '#/components/schemas/Call'
        created_at:
          type: string
          format: date-time
        currency:
          type: string
          enum:
            - ADP
            - AED
            - AFA
            - AFN
            - ALK
            - ALL
            - AMD
            - ANG
            - AOA
            - AOK
            - AON
            - AOR
            - ARA
            - ARL
            - ARM
            - ARP
            - ARS
            - ATS
            - AUD
            - AWG
            - AZM
            - AZN
            - BAD
            - BAM
            - BAN
            - BBD
            - BDT
            - BEC
            - BEF
            - BEL
            - BGL
            - BGM
            - BGN
            - BGO
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOL
            - BOP
            - BOV
            - BRB
            - BRC
            - BRE
            - BRL
            - BRN
            - BRR
            - BRZ
            - BSD
            - BTN
            - BUK
            - BWP
            - BYB
            - BYN
            - BYR
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLE
            - CLF
            - CLP
            - CNH
            - CNX
            - CNY
            - COP
            - COU
            - CRC
            - CSD
            - CSK
            - CUC
            - CUP
            - CVE
            - CYP
            - CZK
            - DDM
            - DEM
            - DJF
            - DKK
            - DOP
            - DZD
            - ECS
            - ECV
            - EEK
            - EGP
            - ERN
            - ESA
            - ESB
            - ESP
            - ETB
            - EUR
            - FIM
            - FJD
            - FKP
            - FRF
            - GBP
            - GEK
            - GEL
            - GHC
            - GHS
            - GIP
            - GMD
            - GNF
            - GNS
            - GQE
            - GRD
            - GTQ
            - GWE
            - GWP
            - GYD
            - HKD
            - HNL
            - HRD
            - HRK
            - HTG
            - HUF
            - IDR
            - IEP
            - ILP
            - ILR
            - ILS
            - INR
            - IQD
            - IRR
            - ISJ
            - ISK
            - ITL
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRH
            - KRO
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LTT
            - LUC
            - LUF
            - LUL
            - LVL
            - LVR
            - LYD
            - MAD
            - MAF
            - MCF
            - MDC
            - MDL
            - MGA
            - MGF
            - MKD
            - MKN
            - MLF
            - MMK
            - MNT
            - MOP
            - MRO
            - MRU
            - MTL
            - MTP
            - MUR
            - MVP
            - MVR
            - MWK
            - MXN
            - MXP
            - MXV
            - MYR
            - MZE
            - MZM
            - MZN
            - NAD
            - NGN
            - NIC
            - NIO
            - NLG
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEI
            - PEN
            - PES
            - PGK
            - PHP
            - PKR
            - PLN
            - PLZ
            - PTE
            - PYG
            - QAR
            - RHD
            - ROL
            - RON
            - RSD
            - RUB
            - RUR
            - RWF
            - SAR
            - SBD
            - SCR
            - SDD
            - SDG
            - SDP
            - SEK
            - SGD
            - SHP
            - SIT
            - SKK
            - SLE
            - SLL
            - SOS
            - SRD
            - SRG
            - SSP
            - STD
            - STN
            - SUR
            - SVC
            - SYP
            - SZL
            - THB
            - TJR
            - TJS
            - TMM
            - TMT
            - TND
            - TOP
            - TPE
            - TRL
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UAK
            - UGS
            - UGX
            - USD
            - USN
            - USS
            - UYI
            - UYP
            - UYU
            - UYW
            - UZS
            - VEB
            - VED
            - VEF
            - VES
            - VND
            - VNN
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XCG
            - XDR
            - XEU
            - XFO
            - XFU
            - XOF
            - XPD
            - XPF
            - XPT
            - XRE
            - XSU
            - XTS
            - XUA
            - XXX
            - YDD
            - YER
            - YUD
            - YUM
            - YUN
            - YUR
            - ZAL
            - ZAR
            - ZMK
            - ZMW
            - ZRN
            - ZRZ
            - ZWD
            - ZWL
            - ZWR
          maxLength: 3
          description: The invoice's currency code (e.g. USD).
        custom_fields: {}
        due_date:
          type: string
          format: date-time
          description: The invoice's due date.
          nullable: true
        emails:
          type: array
          items:
            $ref: '#/components/schemas/Email'
        in_dispute:
          type: boolean
          description: >-
            Whether an invoice is in dispute. If it is, we exclude it from any
            outreach.
        is_issued_email_sent:
          type: boolean
          description: >-
            Whether the email to notify the customer that the invoice has been
            issued was sent.
        issued_at:
          type: string
          format: date-time
          description: The invoice's issue date.
          nullable: true
        last_outreach_at:
          type: string
          format: date-time
          description: The last date outreach was sent for this invoice.
          nullable: true
        last_outreach_channel:
          maxLength: 5
          description: >-
            The last channel outreach was sent in for this invoice (phone or
            email).
          enum:
            - email
            - call
            - null
          nullable: true
        last_outreach_to:
          type: string
          description: >-
            The last recipient of outreach that was sent for this invoice (email
            address or phone number).
          nullable: true
        last_synced_at:
          type: string
          format: date-time
          nullable: true
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceLineItem'
        linked_integration:
          $ref: '#/components/schemas/LinkedIntegration'
        marked_uncollectible_at:
          type: string
          format: date-time
          description: The date the invoice was marked uncollectible.
          nullable: true
        memo:
          type: string
          description: A memo visible to the invoice's end user.
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        number:
          type: string
          description: >-
            A unique, identifying string that appears on emails sent to the
            customer for this invoice.
          nullable: true
        object:
          type: string
        order_number:
          type: string
          description: Unique identifier assigned to a purchase by a seller.
          nullable: true
        paid_at:
          type: string
          format: date-time
          description: The date the invoice was paid.
          nullable: true
        partner:
          $ref: '#/components/schemas/PartnerUpdate'
        partner_id:
          type: string
          maxLength: 32
          description: The id of the customer this invoice is issued to.
          nullable: true
        payments:
          type: array
          items:
            $ref: '#/components/schemas/InvoicePayment'
        pdf:
          readOnly: true
        pdf_id:
          type: string
          maxLength: 32
          nullable: true
        period_end_date:
          type: string
          format: date-time
          description: >-
            End of the usage period during which invoice items were added to
            this invoice.
          nullable: true
        period_start_date:
          type: string
          format: date-time
          description: >-
            Start of the usage period during which invoice items were added to
            this invoice.
          nullable: true
        private_note:
          type: string
          description: The invoice's organization-private note.
          nullable: true
        promised_to_pay_date:
          type: string
          format: date
          description: The date the customer has promised to pay the invoice.
          nullable: true
        purchase_order_number:
          type: string
          description: Unique identifier assigned to a purchase order by a buyer.
          nullable: true
        remote_created_at:
          type: string
          format: date-time
          description: When the third party's entry was created.
          nullable: true
        remote_id:
          type: string
          description: The invoice's third party API ID.
        remote_invoice_pdf:
          type: string
          description: The url to the invoice's third party pdf.
          nullable: true
        remote_metadata:
          nullable: true
        remote_modified_at:
          type: string
          format: date-time
          description: When the third party's entry was updated.
          nullable: true
        remote_partner_id:
          type: string
          description: The invoice's partner's third party id.
          nullable: true
        remote_payment_portal_url:
          type: string
          description: The invoice's third party payment url.
          nullable: true
        remote_payment_status:
          maxLength: 10
          description: |-
            Status of payment on this invoice.
                    NOTE: Source of this status could be different from the source of `remote_status`,
                    and could be out of sync with it. It is currently controlled Stripe webhooks
                    that receive partner portal session events.
                    If payment was initiated and failed, remote_payment_status should be set to None.
                    
          enum:
            - processing
            - completed
            - null
          nullable: true
        remote_status:
          type: string
          description: The invoice's third party status.
          nullable: true
        requires_line_item_sync:
          type: boolean
        shipping_address:
          $ref: '#/components/schemas/Address'
        shipping_address_id:
          type: integer
          nullable: true
        status:
          readOnly: true
        subtotal:
          type: integer
          description: >-
            The total amount of the invoice, tax exclusive, in the currency's
            smallest unit. (e.g. 10.00 USD -> 1000)
        sync_status:
          maxLength: 7
          description: The sync status for this entity.
          enum:
            - partial
            - syncing
            - synced
            - failed
        total_amount:
          type: integer
          description: >-
            The total amount of the invoice, including tax and allowances, in
            the currency's smallest unit. (e.g. 10.00 USD -> 1000)
        total_discount:
          type: integer
          description: >-
            The total discounts applied to the invoice, in the currency's
            smallest unit. (e.g. 10.00 USD -> 1000)
        total_tax:
          type: integer
          description: >-
            The total tax applied to the invoice, in the currency's smallest
            unit. (e.g. 10.00 USD -> 1000)
        type:
          maxLength: 10
          description: >-
            Whether the invoice is a PAYABLE (Accounts Payable) or RECEIVABLE
            (Accounts Receivable).
          enum:
            - payable
            - receivable
        voided_at:
          type: string
          format: date-time
          description: The date the invoice was voided.
          nullable: true
      required:
        - amount_due
        - currency
        - object
        - remote_id
        - total_amount
    PartnerUpdate1:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        account_number:
          type: string
          description: The customer's account number.
          nullable: true
        ap_portals:
          type: array
          items:
            $ref: '#/components/schemas/APPortal'
        assignee:
          $ref: '#/components/schemas/User'
        assignee_id:
          type: string
          maxLength: 32
          nullable: true
        billing_address:
          $ref: '#/components/schemas/Address'
        billing_address_id:
          type: integer
          nullable: true
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
        created_at:
          type: string
          format: date-time
        currency:
          type: string
          enum:
            - ADP
            - AED
            - AFA
            - AFN
            - ALK
            - ALL
            - AMD
            - ANG
            - AOA
            - AOK
            - AON
            - AOR
            - ARA
            - ARL
            - ARM
            - ARP
            - ARS
            - ATS
            - AUD
            - AWG
            - AZM
            - AZN
            - BAD
            - BAM
            - BAN
            - BBD
            - BDT
            - BEC
            - BEF
            - BEL
            - BGL
            - BGM
            - BGN
            - BGO
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOL
            - BOP
            - BOV
            - BRB
            - BRC
            - BRE
            - BRL
            - BRN
            - BRR
            - BRZ
            - BSD
            - BTN
            - BUK
            - BWP
            - BYB
            - BYN
            - BYR
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLE
            - CLF
            - CLP
            - CNH
            - CNX
            - CNY
            - COP
            - COU
            - CRC
            - CSD
            - CSK
            - CUC
            - CUP
            - CVE
            - CYP
            - CZK
            - DDM
            - DEM
            - DJF
            - DKK
            - DOP
            - DZD
            - ECS
            - ECV
            - EEK
            - EGP
            - ERN
            - ESA
            - ESB
            - ESP
            - ETB
            - EUR
            - FIM
            - FJD
            - FKP
            - FRF
            - GBP
            - GEK
            - GEL
            - GHC
            - GHS
            - GIP
            - GMD
            - GNF
            - GNS
            - GQE
            - GRD
            - GTQ
            - GWE
            - GWP
            - GYD
            - HKD
            - HNL
            - HRD
            - HRK
            - HTG
            - HUF
            - IDR
            - IEP
            - ILP
            - ILR
            - ILS
            - INR
            - IQD
            - IRR
            - ISJ
            - ISK
            - ITL
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRH
            - KRO
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LTT
            - LUC
            - LUF
            - LUL
            - LVL
            - LVR
            - LYD
            - MAD
            - MAF
            - MCF
            - MDC
            - MDL
            - MGA
            - MGF
            - MKD
            - MKN
            - MLF
            - MMK
            - MNT
            - MOP
            - MRO
            - MRU
            - MTL
            - MTP
            - MUR
            - MVP
            - MVR
            - MWK
            - MXN
            - MXP
            - MXV
            - MYR
            - MZE
            - MZM
            - MZN
            - NAD
            - NGN
            - NIC
            - NIO
            - NLG
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEI
            - PEN
            - PES
            - PGK
            - PHP
            - PKR
            - PLN
            - PLZ
            - PTE
            - PYG
            - QAR
            - RHD
            - ROL
            - RON
            - RSD
            - RUB
            - RUR
            - RWF
            - SAR
            - SBD
            - SCR
            - SDD
            - SDG
            - SDP
            - SEK
            - SGD
            - SHP
            - SIT
            - SKK
            - SLE
            - SLL
            - SOS
            - SRD
            - SRG
            - SSP
            - STD
            - STN
            - SUR
            - SVC
            - SYP
            - SZL
            - THB
            - TJR
            - TJS
            - TMM
            - TMT
            - TND
            - TOP
            - TPE
            - TRL
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UAK
            - UGS
            - UGX
            - USD
            - USN
            - USS
            - UYI
            - UYP
            - UYU
            - UYW
            - UZS
            - VEB
            - VED
            - VEF
            - VES
            - VND
            - VNN
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XCG
            - XDR
            - XEU
            - XFO
            - XFU
            - XOF
            - XPD
            - XPF
            - XPT
            - XRE
            - XSU
            - XTS
            - XUA
            - XXX
            - YDD
            - YER
            - YUD
            - YUM
            - YUN
            - YUR
            - ZAL
            - ZAR
            - ZMK
            - ZMW
            - ZRN
            - ZRZ
            - ZWD
            - ZWL
            - ZWR
            - null
          maxLength: 3
          description: The partner's default currency code (e.g. USD).
          nullable: true
        custom_fields: {}
        description:
          type: string
          description: A description of the partner.
          nullable: true
        email:
          type: string
          maxLength: 255
          description: The partner's company email address.
          nullable: true
        family_name:
          type: string
          description: The partner's family name.
          nullable: true
        finix_identity_id:
          type: string
          nullable: true
        given_name:
          type: string
          description: The partner's given name.
          nullable: true
        invoice_prefix:
          type: string
          description: The prefix for this partner's invoice numbers.
          nullable: true
        is_active:
          type: boolean
          description: Whether the partner is active.
        is_company:
          type: boolean
          description: Whether the partner is a company or individual.
        is_email_disabled:
          type: boolean
          description: Whether the partner's email address is no longer valid.
        is_phone_disabled:
          type: boolean
          description: Whether the partner's email address is no longer valid.
        is_primary_email:
          type: boolean
          description: Whether the partner's email is the primary email contact.
        is_primary_phone:
          type: boolean
          description: Whether the partner's phone number is the primary phone contact.
        last_outreach_at:
          type: string
          format: date-time
          description: The last date outreach was sent for this partner.
          nullable: true
        last_outreach_channel:
          maxLength: 5
          description: >-
            The last channel outreach was sent in for this partner (phone or
            email).
          enum:
            - email
            - call
            - null
          nullable: true
        last_outreach_to:
          type: string
          description: >-
            The last recipient of outreach that was sent for this partner (email
            address or phone number).
          nullable: true
        last_synced_at:
          type: string
          format: date-time
          nullable: true
        legal_name:
          type: string
          description: The legal name of this partner, typically applies to businesses.
          nullable: true
        linked_integration:
          $ref: '#/components/schemas/LinkedIntegration'
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: The full name of the partner.
          nullable: true
        object:
          type: string
        on_behalf_of:
          type: string
          description: >-
            The name of the person or entity your organization is contacting
            this customer for.
          nullable: true
        on_behalf_of_phone:
          type: string
          maxLength: 32
          description: >-
            The number of the person or entity your organization is contacting
            this customer for.
          nullable: true
        organization_id:
          type: string
          maxLength: 32
        parent_id:
          type: string
          maxLength: 32
          nullable: true
        phone:
          type: string
          maxLength: 32
          description: The partner's default phone number.
          nullable: true
        remote_created_at:
          type: string
          format: date-time
          description: When the third party's entry was created.
          nullable: true
        remote_id:
          type: string
          description: The partner's third party id.
        remote_metadata:
          nullable: true
        remote_modified_at:
          type: string
          format: date-time
          description: When the third party's entry was updated.
          nullable: true
        remote_parent_id:
          type: string
          description: The partner's third party parent partner id.
          nullable: true
        remote_payment_portal_url:
          type: string
          description: The partner's third party payment portal url.
          nullable: true
        shipping_address:
          $ref: '#/components/schemas/Address'
        status_metadata:
          description: >-
            Holds metadata about why contact channel statuses changed,, has
            source (email or call) as key values (e.g. {'email'|'phone':
            {status: 'enabled'|'disabled', reason: str, timestamp: datetime}})
        sync_status:
          maxLength: 7
          description: The sync status for this entity.
          enum:
            - partial
            - syncing
            - synced
            - failed
        tags:
          type: array
          items:
            $ref: '#/components/schemas/PartnerTag'
        tax_number:
          type: string
          description: >-
            Tax number - this is also known as the ABN (Australia), GST Number
            (New Zealand), VAT Number (UK) or Tax ID Number (US and global).
          nullable: true
        timezone:
          type: string
          enum:
            - Africa/Abidjan
            - Africa/Accra
            - Africa/Addis_Ababa
            - Africa/Algiers
            - Africa/Asmara
            - Africa/Asmera
            - Africa/Bamako
            - Africa/Bangui
            - Africa/Banjul
            - Africa/Bissau
            - Africa/Blantyre
            - Africa/Brazzaville
            - Africa/Bujumbura
            - Africa/Cairo
            - Africa/Casablanca
            - Africa/Ceuta
            - Africa/Conakry
            - Africa/Dakar
            - Africa/Dar_es_Salaam
            - Africa/Djibouti
            - Africa/Douala
            - Africa/El_Aaiun
            - Africa/Freetown
            - Africa/Gaborone
            - Africa/Harare
            - Africa/Johannesburg
            - Africa/Juba
            - Africa/Kampala
            - Africa/Khartoum
            - Africa/Kigali
            - Africa/Kinshasa
            - Africa/Lagos
            - Africa/Libreville
            - Africa/Lome
            - Africa/Luanda
            - Africa/Lubumbashi
            - Africa/Lusaka
            - Africa/Malabo
            - Africa/Maputo
            - Africa/Maseru
            - Africa/Mbabane
            - Africa/Mogadishu
            - Africa/Monrovia
            - Africa/Nairobi
            - Africa/Ndjamena
            - Africa/Niamey
            - Africa/Nouakchott
            - Africa/Ouagadougou
            - Africa/Porto-Novo
            - Africa/Sao_Tome
            - Africa/Timbuktu
            - Africa/Tripoli
            - Africa/Tunis
            - Africa/Windhoek
            - America/Adak
            - America/Anchorage
            - America/Anguilla
            - America/Antigua
            - America/Araguaina
            - America/Argentina/Buenos_Aires
            - America/Argentina/Catamarca
            - America/Argentina/ComodRivadavia
            - America/Argentina/Cordoba
            - America/Argentina/Jujuy
            - America/Argentina/La_Rioja
            - America/Argentina/Mendoza
            - America/Argentina/Rio_Gallegos
            - America/Argentina/Salta
            - America/Argentina/San_Juan
            - America/Argentina/San_Luis
            - America/Argentina/Tucuman
            - America/Argentina/Ushuaia
            - America/Aruba
            - America/Asuncion
            - America/Atikokan
            - America/Atka
            - America/Bahia
            - America/Bahia_Banderas
            - America/Barbados
            - America/Belem
            - America/Belize
            - America/Blanc-Sablon
            - America/Boa_Vista
            - America/Bogota
            - America/Boise
            - America/Buenos_Aires
            - America/Cambridge_Bay
            - America/Campo_Grande
            - America/Cancun
            - America/Caracas
            - America/Catamarca
            - America/Cayenne
            - America/Cayman
            - America/Chicago
            - America/Chihuahua
            - America/Ciudad_Juarez
            - America/Coral_Harbour
            - America/Cordoba
            - America/Costa_Rica
            - America/Creston
            - America/Cuiaba
            - America/Curacao
            - America/Danmarkshavn
            - America/Dawson
            - America/Dawson_Creek
            - America/Denver
            - America/Detroit
            - America/Dominica
            - America/Edmonton
            - America/Eirunepe
            - America/El_Salvador
            - America/Ensenada
            - America/Fort_Nelson
            - America/Fort_Wayne
            - America/Fortaleza
            - America/Glace_Bay
            - America/Godthab
            - America/Goose_Bay
            - America/Grand_Turk
            - America/Grenada
            - America/Guadeloupe
            - America/Guatemala
            - America/Guayaquil
            - America/Guyana
            - America/Halifax
            - America/Havana
            - America/Hermosillo
            - America/Indiana/Indianapolis
            - America/Indiana/Knox
            - America/Indiana/Marengo
            - America/Indiana/Petersburg
            - America/Indiana/Tell_City
            - America/Indiana/Vevay
            - America/Indiana/Vincennes
            - America/Indiana/Winamac
            - America/Indianapolis
            - America/Inuvik
            - America/Iqaluit
            - America/Jamaica
            - America/Jujuy
            - America/Juneau
            - America/Kentucky/Louisville
            - America/Kentucky/Monticello
            - America/Knox_IN
            - America/Kralendijk
            - America/La_Paz
            - America/Lima
            - America/Los_Angeles
            - America/Louisville
            - America/Lower_Princes
            - America/Maceio
            - America/Managua
            - America/Manaus
            - America/Marigot
            - America/Martinique
            - America/Matamoros
            - America/Mazatlan
            - America/Mendoza
            - America/Menominee
            - America/Merida
            - America/Metlakatla
            - America/Mexico_City
            - America/Miquelon
            - America/Moncton
            - America/Monterrey
            - America/Montevideo
            - America/Montreal
            - America/Montserrat
            - America/Nassau
            - America/New_York
            - America/Nipigon
            - America/Nome
            - America/Noronha
            - America/North_Dakota/Beulah
            - America/North_Dakota/Center
            - America/North_Dakota/New_Salem
            - America/Nuuk
            - America/Ojinaga
            - America/Panama
            - America/Pangnirtung
            - America/Paramaribo
            - America/Phoenix
            - America/Port-au-Prince
            - America/Port_of_Spain
            - America/Porto_Acre
            - America/Porto_Velho
            - America/Puerto_Rico
            - America/Punta_Arenas
            - America/Rainy_River
            - America/Rankin_Inlet
            - America/Recife
            - America/Regina
            - America/Resolute
            - America/Rio_Branco
            - America/Rosario
            - America/Santa_Isabel
            - America/Santarem
            - America/Santiago
            - America/Santo_Domingo
            - America/Sao_Paulo
            - America/Scoresbysund
            - America/Shiprock
            - America/Sitka
            - America/St_Barthelemy
            - America/St_Johns
            - America/St_Kitts
            - America/St_Lucia
            - America/St_Thomas
            - America/St_Vincent
            - America/Swift_Current
            - America/Tegucigalpa
            - America/Thule
            - America/Thunder_Bay
            - America/Tijuana
            - America/Toronto
            - America/Tortola
            - America/Vancouver
            - America/Virgin
            - America/Whitehorse
            - America/Winnipeg
            - America/Yakutat
            - America/Yellowknife
            - Antarctica/Casey
            - Antarctica/Davis
            - Antarctica/DumontDUrville
            - Antarctica/Macquarie
            - Antarctica/Mawson
            - Antarctica/McMurdo
            - Antarctica/Palmer
            - Antarctica/Rothera
            - Antarctica/South_Pole
            - Antarctica/Syowa
            - Antarctica/Troll
            - Antarctica/Vostok
            - Arctic/Longyearbyen
            - Asia/Aden
            - Asia/Almaty
            - Asia/Amman
            - Asia/Anadyr
            - Asia/Aqtau
            - Asia/Aqtobe
            - Asia/Ashgabat
            - Asia/Ashkhabad
            - Asia/Atyrau
            - Asia/Baghdad
            - Asia/Bahrain
            - Asia/Baku
            - Asia/Bangkok
            - Asia/Barnaul
            - Asia/Beirut
            - Asia/Bishkek
            - Asia/Brunei
            - Asia/Calcutta
            - Asia/Chita
            - Asia/Choibalsan
            - Asia/Chongqing
            - Asia/Chungking
            - Asia/Colombo
            - Asia/Dacca
            - Asia/Damascus
            - Asia/Dhaka
            - Asia/Dili
            - Asia/Dubai
            - Asia/Dushanbe
            - Asia/Famagusta
            - Asia/Gaza
            - Asia/Harbin
            - Asia/Hebron
            - Asia/Ho_Chi_Minh
            - Asia/Hong_Kong
            - Asia/Hovd
            - Asia/Irkutsk
            - Asia/Istanbul
            - Asia/Jakarta
            - Asia/Jayapura
            - Asia/Jerusalem
            - Asia/Kabul
            - Asia/Kamchatka
            - Asia/Karachi
            - Asia/Kashgar
            - Asia/Kathmandu
            - Asia/Katmandu
            - Asia/Khandyga
            - Asia/Kolkata
            - Asia/Krasnoyarsk
            - Asia/Kuala_Lumpur
            - Asia/Kuching
            - Asia/Kuwait
            - Asia/Macao
            - Asia/Macau
            - Asia/Magadan
            - Asia/Makassar
            - Asia/Manila
            - Asia/Muscat
            - Asia/Nicosia
            - Asia/Novokuznetsk
            - Asia/Novosibirsk
            - Asia/Omsk
            - Asia/Oral
            - Asia/Phnom_Penh
            - Asia/Pontianak
            - Asia/Pyongyang
            - Asia/Qatar
            - Asia/Qostanay
            - Asia/Qyzylorda
            - Asia/Rangoon
            - Asia/Riyadh
            - Asia/Saigon
            - Asia/Sakhalin
            - Asia/Samarkand
            - Asia/Seoul
            - Asia/Shanghai
            - Asia/Singapore
            - Asia/Srednekolymsk
            - Asia/Taipei
            - Asia/Tashkent
            - Asia/Tbilisi
            - Asia/Tehran
            - Asia/Tel_Aviv
            - Asia/Thimbu
            - Asia/Thimphu
            - Asia/Tokyo
            - Asia/Tomsk
            - Asia/Ujung_Pandang
            - Asia/Ulaanbaatar
            - Asia/Ulan_Bator
            - Asia/Urumqi
            - Asia/Ust-Nera
            - Asia/Vientiane
            - Asia/Vladivostok
            - Asia/Yakutsk
            - Asia/Yangon
            - Asia/Yekaterinburg
            - Asia/Yerevan
            - Atlantic/Azores
            - Atlantic/Bermuda
            - Atlantic/Canary
            - Atlantic/Cape_Verde
            - Atlantic/Faeroe
            - Atlantic/Faroe
            - Atlantic/Jan_Mayen
            - Atlantic/Madeira
            - Atlantic/Reykjavik
            - Atlantic/South_Georgia
            - Atlantic/St_Helena
            - Atlantic/Stanley
            - Australia/ACT
            - Australia/Adelaide
            - Australia/Brisbane
            - Australia/Broken_Hill
            - Australia/Canberra
            - Australia/Currie
            - Australia/Darwin
            - Australia/Eucla
            - Australia/Hobart
            - Australia/LHI
            - Australia/Lindeman
            - Australia/Lord_Howe
            - Australia/Melbourne
            - Australia/NSW
            - Australia/North
            - Australia/Perth
            - Australia/Queensland
            - Australia/South
            - Australia/Sydney
            - Australia/Tasmania
            - Australia/Victoria
            - Australia/West
            - Australia/Yancowinna
            - Brazil/Acre
            - Brazil/DeNoronha
            - Brazil/East
            - Brazil/West
            - CET
            - CST6CDT
            - Canada/Atlantic
            - Canada/Central
            - Canada/Eastern
            - Canada/Mountain
            - Canada/Newfoundland
            - Canada/Pacific
            - Canada/Saskatchewan
            - Canada/Yukon
            - Chile/Continental
            - Chile/EasterIsland
            - Cuba
            - EET
            - EST
            - EST5EDT
            - Egypt
            - Eire
            - Etc/GMT
            - Etc/GMT+0
            - Etc/GMT+1
            - Etc/GMT+10
            - Etc/GMT+11
            - Etc/GMT+12
            - Etc/GMT+2
            - Etc/GMT+3
            - Etc/GMT+4
            - Etc/GMT+5
            - Etc/GMT+6
            - Etc/GMT+7
            - Etc/GMT+8
            - Etc/GMT+9
            - Etc/GMT-0
            - Etc/GMT-1
            - Etc/GMT-10
            - Etc/GMT-11
            - Etc/GMT-12
            - Etc/GMT-13
            - Etc/GMT-14
            - Etc/GMT-2
            - Etc/GMT-3
            - Etc/GMT-4
            - Etc/GMT-5
            - Etc/GMT-6
            - Etc/GMT-7
            - Etc/GMT-8
            - Etc/GMT-9
            - Etc/GMT0
            - Etc/Greenwich
            - Etc/UCT
            - Etc/UTC
            - Etc/Universal
            - Etc/Zulu
            - Europe/Amsterdam
            - Europe/Andorra
            - Europe/Astrakhan
            - Europe/Athens
            - Europe/Belfast
            - Europe/Belgrade
            - Europe/Berlin
            - Europe/Bratislava
            - Europe/Brussels
            - Europe/Bucharest
            - Europe/Budapest
            - Europe/Busingen
            - Europe/Chisinau
            - Europe/Copenhagen
            - Europe/Dublin
            - Europe/Gibraltar
            - Europe/Guernsey
            - Europe/Helsinki
            - Europe/Isle_of_Man
            - Europe/Istanbul
            - Europe/Jersey
            - Europe/Kaliningrad
            - Europe/Kiev
            - Europe/Kirov
            - Europe/Kyiv
            - Europe/Lisbon
            - Europe/Ljubljana
            - Europe/London
            - Europe/Luxembourg
            - Europe/Madrid
            - Europe/Malta
            - Europe/Mariehamn
            - Europe/Minsk
            - Europe/Monaco
            - Europe/Moscow
            - Europe/Nicosia
            - Europe/Oslo
            - Europe/Paris
            - Europe/Podgorica
            - Europe/Prague
            - Europe/Riga
            - Europe/Rome
            - Europe/Samara
            - Europe/San_Marino
            - Europe/Sarajevo
            - Europe/Saratov
            - Europe/Simferopol
            - Europe/Skopje
            - Europe/Sofia
            - Europe/Stockholm
            - Europe/Tallinn
            - Europe/Tirane
            - Europe/Tiraspol
            - Europe/Ulyanovsk
            - Europe/Uzhgorod
            - Europe/Vaduz
            - Europe/Vatican
            - Europe/Vienna
            - Europe/Vilnius
            - Europe/Volgograd
            - Europe/Warsaw
            - Europe/Zagreb
            - Europe/Zaporozhye
            - Europe/Zurich
            - GB
            - GB-Eire
            - GMT
            - GMT+0
            - GMT-0
            - GMT0
            - Greenwich
            - HST
            - Hongkong
            - Iceland
            - Indian/Antananarivo
            - Indian/Chagos
            - Indian/Christmas
            - Indian/Cocos
            - Indian/Comoro
            - Indian/Kerguelen
            - Indian/Mahe
            - Indian/Maldives
            - Indian/Mauritius
            - Indian/Mayotte
            - Indian/Reunion
            - Iran
            - Israel
            - Jamaica
            - Japan
            - Kwajalein
            - Libya
            - MET
            - MST
            - MST7MDT
            - Mexico/BajaNorte
            - Mexico/BajaSur
            - Mexico/General
            - NZ
            - NZ-CHAT
            - Navajo
            - PRC
            - PST8PDT
            - Pacific/Apia
            - Pacific/Auckland
            - Pacific/Bougainville
            - Pacific/Chatham
            - Pacific/Chuuk
            - Pacific/Easter
            - Pacific/Efate
            - Pacific/Enderbury
            - Pacific/Fakaofo
            - Pacific/Fiji
            - Pacific/Funafuti
            - Pacific/Galapagos
            - Pacific/Gambier
            - Pacific/Guadalcanal
            - Pacific/Guam
            - Pacific/Honolulu
            - Pacific/Johnston
            - Pacific/Kanton
            - Pacific/Kiritimati
            - Pacific/Kosrae
            - Pacific/Kwajalein
            - Pacific/Majuro
            - Pacific/Marquesas
            - Pacific/Midway
            - Pacific/Nauru
            - Pacific/Niue
            - Pacific/Norfolk
            - Pacific/Noumea
            - Pacific/Pago_Pago
            - Pacific/Palau
            - Pacific/Pitcairn
            - Pacific/Pohnpei
            - Pacific/Ponape
            - Pacific/Port_Moresby
            - Pacific/Rarotonga
            - Pacific/Saipan
            - Pacific/Samoa
            - Pacific/Tahiti
            - Pacific/Tarawa
            - Pacific/Tongatapu
            - Pacific/Truk
            - Pacific/Wake
            - Pacific/Wallis
            - Pacific/Yap
            - Poland
            - Portugal
            - ROC
            - ROK
            - Singapore
            - Turkey
            - UCT
            - US/Alaska
            - US/Aleutian
            - US/Arizona
            - US/Central
            - US/East-Indiana
            - US/Eastern
            - US/Hawaii
            - US/Indiana-Starke
            - US/Michigan
            - US/Mountain
            - US/Pacific
            - US/Samoa
            - UTC
            - Universal
            - W-SU
            - WET
            - Zulu
          maxLength: 50
    OutreachWorkflowUpdate:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        active_days:
          type: array
          description: The days of the week to run the workflow on
          items:
            type: integer
        created_at:
          type: string
          format: date-time
        email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        is_active:
          type: boolean
        is_call_on_weekend_enabled:
          type: boolean
          description: Whether to allow calls on weekends
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: The name of the workflow
        object:
          type: string
        outreach_window_end:
          type: string
          description: The end time of the outreach window
        outreach_window_start:
          type: string
          description: The start time of the outreach window
        pending_run_strategy:
          maxLength: 11
          enum:
            - send_all
            - send_first
            - send_latest
        test_email:
          type: string
          nullable: true
        test_phone_number:
          type: string
          nullable: true
        timezone:
          type: string
          enum:
            - Africa/Abidjan
            - Africa/Accra
            - Africa/Addis_Ababa
            - Africa/Algiers
            - Africa/Asmara
            - Africa/Asmera
            - Africa/Bamako
            - Africa/Bangui
            - Africa/Banjul
            - Africa/Bissau
            - Africa/Blantyre
            - Africa/Brazzaville
            - Africa/Bujumbura
            - Africa/Cairo
            - Africa/Casablanca
            - Africa/Ceuta
            - Africa/Conakry
            - Africa/Dakar
            - Africa/Dar_es_Salaam
            - Africa/Djibouti
            - Africa/Douala
            - Africa/El_Aaiun
            - Africa/Freetown
            - Africa/Gaborone
            - Africa/Harare
            - Africa/Johannesburg
            - Africa/Juba
            - Africa/Kampala
            - Africa/Khartoum
            - Africa/Kigali
            - Africa/Kinshasa
            - Africa/Lagos
            - Africa/Libreville
            - Africa/Lome
            - Africa/Luanda
            - Africa/Lubumbashi
            - Africa/Lusaka
            - Africa/Malabo
            - Africa/Maputo
            - Africa/Maseru
            - Africa/Mbabane
            - Africa/Mogadishu
            - Africa/Monrovia
            - Africa/Nairobi
            - Africa/Ndjamena
            - Africa/Niamey
            - Africa/Nouakchott
            - Africa/Ouagadougou
            - Africa/Porto-Novo
            - Africa/Sao_Tome
            - Africa/Timbuktu
            - Africa/Tripoli
            - Africa/Tunis
            - Africa/Windhoek
            - America/Adak
            - America/Anchorage
            - America/Anguilla
            - America/Antigua
            - America/Araguaina
            - America/Argentina/Buenos_Aires
            - America/Argentina/Catamarca
            - America/Argentina/ComodRivadavia
            - America/Argentina/Cordoba
            - America/Argentina/Jujuy
            - America/Argentina/La_Rioja
            - America/Argentina/Mendoza
            - America/Argentina/Rio_Gallegos
            - America/Argentina/Salta
            - America/Argentina/San_Juan
            - America/Argentina/San_Luis
            - America/Argentina/Tucuman
            - America/Argentina/Ushuaia
            - America/Aruba
            - America/Asuncion
            - America/Atikokan
            - America/Atka
            - America/Bahia
            - America/Bahia_Banderas
            - America/Barbados
            - America/Belem
            - America/Belize
            - America/Blanc-Sablon
            - America/Boa_Vista
            - America/Bogota
            - America/Boise
            - America/Buenos_Aires
            - America/Cambridge_Bay
            - America/Campo_Grande
            - America/Cancun
            - America/Caracas
            - America/Catamarca
            - America/Cayenne
            - America/Cayman
            - America/Chicago
            - America/Chihuahua
            - America/Ciudad_Juarez
            - America/Coral_Harbour
            - America/Cordoba
            - America/Costa_Rica
            - America/Creston
            - America/Cuiaba
            - America/Curacao
            - America/Danmarkshavn
            - America/Dawson
            - America/Dawson_Creek
            - America/Denver
            - America/Detroit
            - America/Dominica
            - America/Edmonton
            - America/Eirunepe
            - America/El_Salvador
            - America/Ensenada
            - America/Fort_Nelson
            - America/Fort_Wayne
            - America/Fortaleza
            - America/Glace_Bay
            - America/Godthab
            - America/Goose_Bay
            - America/Grand_Turk
            - America/Grenada
            - America/Guadeloupe
            - America/Guatemala
            - America/Guayaquil
            - America/Guyana
            - America/Halifax
            - America/Havana
            - America/Hermosillo
            - America/Indiana/Indianapolis
            - America/Indiana/Knox
            - America/Indiana/Marengo
            - America/Indiana/Petersburg
            - America/Indiana/Tell_City
            - America/Indiana/Vevay
            - America/Indiana/Vincennes
            - America/Indiana/Winamac
            - America/Indianapolis
            - America/Inuvik
            - America/Iqaluit
            - America/Jamaica
            - America/Jujuy
            - America/Juneau
            - America/Kentucky/Louisville
            - America/Kentucky/Monticello
            - America/Knox_IN
            - America/Kralendijk
            - America/La_Paz
            - America/Lima
            - America/Los_Angeles
            - America/Louisville
            - America/Lower_Princes
            - America/Maceio
            - America/Managua
            - America/Manaus
            - America/Marigot
            - America/Martinique
            - America/Matamoros
            - America/Mazatlan
            - America/Mendoza
            - America/Menominee
            - America/Merida
            - America/Metlakatla
            - America/Mexico_City
            - America/Miquelon
            - America/Moncton
            - America/Monterrey
            - America/Montevideo
            - America/Montreal
            - America/Montserrat
            - America/Nassau
            - America/New_York
            - America/Nipigon
            - America/Nome
            - America/Noronha
            - America/North_Dakota/Beulah
            - America/North_Dakota/Center
            - America/North_Dakota/New_Salem
            - America/Nuuk
            - America/Ojinaga
            - America/Panama
            - America/Pangnirtung
            - America/Paramaribo
            - America/Phoenix
            - America/Port-au-Prince
            - America/Port_of_Spain
            - America/Porto_Acre
            - America/Porto_Velho
            - America/Puerto_Rico
            - America/Punta_Arenas
            - America/Rainy_River
            - America/Rankin_Inlet
            - America/Recife
            - America/Regina
            - America/Resolute
            - America/Rio_Branco
            - America/Rosario
            - America/Santa_Isabel
            - America/Santarem
            - America/Santiago
            - America/Santo_Domingo
            - America/Sao_Paulo
            - America/Scoresbysund
            - America/Shiprock
            - America/Sitka
            - America/St_Barthelemy
            - America/St_Johns
            - America/St_Kitts
            - America/St_Lucia
            - America/St_Thomas
            - America/St_Vincent
            - America/Swift_Current
            - America/Tegucigalpa
            - America/Thule
            - America/Thunder_Bay
            - America/Tijuana
            - America/Toronto
            - America/Tortola
            - America/Vancouver
            - America/Virgin
            - America/Whitehorse
            - America/Winnipeg
            - America/Yakutat
            - America/Yellowknife
            - Antarctica/Casey
            - Antarctica/Davis
            - Antarctica/DumontDUrville
            - Antarctica/Macquarie
            - Antarctica/Mawson
            - Antarctica/McMurdo
            - Antarctica/Palmer
            - Antarctica/Rothera
            - Antarctica/South_Pole
            - Antarctica/Syowa
            - Antarctica/Troll
            - Antarctica/Vostok
            - Arctic/Longyearbyen
            - Asia/Aden
            - Asia/Almaty
            - Asia/Amman
            - Asia/Anadyr
            - Asia/Aqtau
            - Asia/Aqtobe
            - Asia/Ashgabat
            - Asia/Ashkhabad
            - Asia/Atyrau
            - Asia/Baghdad
            - Asia/Bahrain
            - Asia/Baku
            - Asia/Bangkok
            - Asia/Barnaul
            - Asia/Beirut
            - Asia/Bishkek
            - Asia/Brunei
            - Asia/Calcutta
            - Asia/Chita
            - Asia/Choibalsan
            - Asia/Chongqing
            - Asia/Chungking
            - Asia/Colombo
            - Asia/Dacca
            - Asia/Damascus
            - Asia/Dhaka
            - Asia/Dili
            - Asia/Dubai
            - Asia/Dushanbe
            - Asia/Famagusta
            - Asia/Gaza
            - Asia/Harbin
            - Asia/Hebron
            - Asia/Ho_Chi_Minh
            - Asia/Hong_Kong
            - Asia/Hovd
            - Asia/Irkutsk
            - Asia/Istanbul
            - Asia/Jakarta
            - Asia/Jayapura
            - Asia/Jerusalem
            - Asia/Kabul
            - Asia/Kamchatka
            - Asia/Karachi
            - Asia/Kashgar
            - Asia/Kathmandu
            - Asia/Katmandu
            - Asia/Khandyga
            - Asia/Kolkata
            - Asia/Krasnoyarsk
            - Asia/Kuala_Lumpur
            - Asia/Kuching
            - Asia/Kuwait
            - Asia/Macao
            - Asia/Macau
            - Asia/Magadan
            - Asia/Makassar
            - Asia/Manila
            - Asia/Muscat
            - Asia/Nicosia
            - Asia/Novokuznetsk
            - Asia/Novosibirsk
            - Asia/Omsk
            - Asia/Oral
            - Asia/Phnom_Penh
            - Asia/Pontianak
            - Asia/Pyongyang
            - Asia/Qatar
            - Asia/Qostanay
            - Asia/Qyzylorda
            - Asia/Rangoon
            - Asia/Riyadh
            - Asia/Saigon
            - Asia/Sakhalin
            - Asia/Samarkand
            - Asia/Seoul
            - Asia/Shanghai
            - Asia/Singapore
            - Asia/Srednekolymsk
            - Asia/Taipei
            - Asia/Tashkent
            - Asia/Tbilisi
            - Asia/Tehran
            - Asia/Tel_Aviv
            - Asia/Thimbu
            - Asia/Thimphu
            - Asia/Tokyo
            - Asia/Tomsk
            - Asia/Ujung_Pandang
            - Asia/Ulaanbaatar
            - Asia/Ulan_Bator
            - Asia/Urumqi
            - Asia/Ust-Nera
            - Asia/Vientiane
            - Asia/Vladivostok
            - Asia/Yakutsk
            - Asia/Yangon
            - Asia/Yekaterinburg
            - Asia/Yerevan
            - Atlantic/Azores
            - Atlantic/Bermuda
            - Atlantic/Canary
            - Atlantic/Cape_Verde
            - Atlantic/Faeroe
            - Atlantic/Faroe
            - Atlantic/Jan_Mayen
            - Atlantic/Madeira
            - Atlantic/Reykjavik
            - Atlantic/South_Georgia
            - Atlantic/St_Helena
            - Atlantic/Stanley
            - Australia/ACT
            - Australia/Adelaide
            - Australia/Brisbane
            - Australia/Broken_Hill
            - Australia/Canberra
            - Australia/Currie
            - Australia/Darwin
            - Australia/Eucla
            - Australia/Hobart
            - Australia/LHI
            - Australia/Lindeman
            - Australia/Lord_Howe
            - Australia/Melbourne
            - Australia/NSW
            - Australia/North
            - Australia/Perth
            - Australia/Queensland
            - Australia/South
            - Australia/Sydney
            - Australia/Tasmania
            - Australia/Victoria
            - Australia/West
            - Australia/Yancowinna
            - Brazil/Acre
            - Brazil/DeNoronha
            - Brazil/East
            - Brazil/West
            - CET
            - CST6CDT
            - Canada/Atlantic
            - Canada/Central
            - Canada/Eastern
            - Canada/Mountain
            - Canada/Newfoundland
            - Canada/Pacific
            - Canada/Saskatchewan
            - Canada/Yukon
            - Chile/Continental
            - Chile/EasterIsland
            - Cuba
            - EET
            - EST
            - EST5EDT
            - Egypt
            - Eire
            - Etc/GMT
            - Etc/GMT+0
            - Etc/GMT+1
            - Etc/GMT+10
            - Etc/GMT+11
            - Etc/GMT+12
            - Etc/GMT+2
            - Etc/GMT+3
            - Etc/GMT+4
            - Etc/GMT+5
            - Etc/GMT+6
            - Etc/GMT+7
            - Etc/GMT+8
            - Etc/GMT+9
            - Etc/GMT-0
            - Etc/GMT-1
            - Etc/GMT-10
            - Etc/GMT-11
            - Etc/GMT-12
            - Etc/GMT-13
            - Etc/GMT-14
            - Etc/GMT-2
            - Etc/GMT-3
            - Etc/GMT-4
            - Etc/GMT-5
            - Etc/GMT-6
            - Etc/GMT-7
            - Etc/GMT-8
            - Etc/GMT-9
            - Etc/GMT0
            - Etc/Greenwich
            - Etc/UCT
            - Etc/UTC
            - Etc/Universal
            - Etc/Zulu
            - Europe/Amsterdam
            - Europe/Andorra
            - Europe/Astrakhan
            - Europe/Athens
            - Europe/Belfast
            - Europe/Belgrade
            - Europe/Berlin
            - Europe/Bratislava
            - Europe/Brussels
            - Europe/Bucharest
            - Europe/Budapest
            - Europe/Busingen
            - Europe/Chisinau
            - Europe/Copenhagen
            - Europe/Dublin
            - Europe/Gibraltar
            - Europe/Guernsey
            - Europe/Helsinki
            - Europe/Isle_of_Man
            - Europe/Istanbul
            - Europe/Jersey
            - Europe/Kaliningrad
            - Europe/Kiev
            - Europe/Kirov
            - Europe/Kyiv
            - Europe/Lisbon
            - Europe/Ljubljana
            - Europe/London
            - Europe/Luxembourg
            - Europe/Madrid
            - Europe/Malta
            - Europe/Mariehamn
            - Europe/Minsk
            - Europe/Monaco
            - Europe/Moscow
            - Europe/Nicosia
            - Europe/Oslo
            - Europe/Paris
            - Europe/Podgorica
            - Europe/Prague
            - Europe/Riga
            - Europe/Rome
            - Europe/Samara
            - Europe/San_Marino
            - Europe/Sarajevo
            - Europe/Saratov
            - Europe/Simferopol
            - Europe/Skopje
            - Europe/Sofia
            - Europe/Stockholm
            - Europe/Tallinn
            - Europe/Tirane
            - Europe/Tiraspol
            - Europe/Ulyanovsk
            - Europe/Uzhgorod
            - Europe/Vaduz
            - Europe/Vatican
            - Europe/Vienna
            - Europe/Vilnius
            - Europe/Volgograd
            - Europe/Warsaw
            - Europe/Zagreb
            - Europe/Zaporozhye
            - Europe/Zurich
            - GB
            - GB-Eire
            - GMT
            - GMT+0
            - GMT-0
            - GMT0
            - Greenwich
            - HST
            - Hongkong
            - Iceland
            - Indian/Antananarivo
            - Indian/Chagos
            - Indian/Christmas
            - Indian/Cocos
            - Indian/Comoro
            - Indian/Kerguelen
            - Indian/Mahe
            - Indian/Maldives
            - Indian/Mauritius
            - Indian/Mayotte
            - Indian/Reunion
            - Iran
            - Israel
            - Jamaica
            - Japan
            - Kwajalein
            - Libya
            - MET
            - MST
            - MST7MDT
            - Mexico/BajaNorte
            - Mexico/BajaSur
            - Mexico/General
            - NZ
            - NZ-CHAT
            - Navajo
            - PRC
            - PST8PDT
            - Pacific/Apia
            - Pacific/Auckland
            - Pacific/Bougainville
            - Pacific/Chatham
            - Pacific/Chuuk
            - Pacific/Easter
            - Pacific/Efate
            - Pacific/Enderbury
            - Pacific/Fakaofo
            - Pacific/Fiji
            - Pacific/Funafuti
            - Pacific/Galapagos
            - Pacific/Gambier
            - Pacific/Guadalcanal
            - Pacific/Guam
            - Pacific/Honolulu
            - Pacific/Johnston
            - Pacific/Kanton
            - Pacific/Kiritimati
            - Pacific/Kosrae
            - Pacific/Kwajalein
            - Pacific/Majuro
            - Pacific/Marquesas
            - Pacific/Midway
            - Pacific/Nauru
            - Pacific/Niue
            - Pacific/Norfolk
            - Pacific/Noumea
            - Pacific/Pago_Pago
            - Pacific/Palau
            - Pacific/Pitcairn
            - Pacific/Pohnpei
            - Pacific/Ponape
            - Pacific/Port_Moresby
            - Pacific/Rarotonga
            - Pacific/Saipan
            - Pacific/Samoa
            - Pacific/Tahiti
            - Pacific/Tarawa
            - Pacific/Tongatapu
            - Pacific/Truk
            - Pacific/Wake
            - Pacific/Wallis
            - Pacific/Yap
            - Poland
            - Portugal
            - ROC
            - ROK
            - Singapore
            - Turkey
            - UCT
            - US/Alaska
            - US/Aleutian
            - US/Arizona
            - US/Central
            - US/East-Indiana
            - US/Eastern
            - US/Hawaii
            - US/Indiana-Starke
            - US/Michigan
            - US/Mountain
            - US/Pacific
            - US/Samoa
            - UTC
            - Universal
            - W-SU
            - WET
            - Zulu
          maxLength: 50
          description: The timezone to run the workflow on
    DashboardSettings:
      type: object
      properties:
        thread_emails_sort_order:
          type: string
          default: asc
    Task:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        action_taken:
          maxLength: 20
          description: The action taken on the task that affected its current state.
          enum:
            - complete
            - complete_with_action
            - close
            - null
          nullable: true
        assignee:
          $ref: '#/components/schemas/User'
        assignee_id:
          type: string
          maxLength: 32
          description: The ID of the user assigned to this task, if any.
          nullable: true
        close_reason:
          type: string
          description: The reason for closing the task, if not completed.
          nullable: true
        completed_action:
          anyOf:
            - type: object
              nullable: true
            - $ref: '#/components/schemas/TaskActionData'
        created_at:
          type: string
          format: date-time
        data:
          type: array
          items:
            $ref: '#/components/schemas/TaskData'
        description:
          type: string
          description: The contextual description of the task.
          nullable: true
        error_reason:
          type: string
          description: The reason for task failing, if an error occurred.
          nullable: true
        label:
          type: string
          description: The blurb or label for the task.
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        organization_id:
          type: string
          maxLength: 32
          description: The ID of the organization this task belongs to.
        status:
          maxLength: 17
          description: The current status of the task.
          enum:
            - open
            - completed
            - closed
            - archived
            - failed
            - processing
            - assigned_to_agent
        trigger_event:
          $ref: '#/components/schemas/Event'
        trigger_event_id:
          type: string
          maxLength: 32
          description: The ID of the event that triggered this task, if any.
          nullable: true
        type:
          maxLength: 26
          description: The type of the task.
          enum:
            - activity_summary_outreach
            - activity_summary_payments
            - auto_response_email
            - auto_response_call
            - call_analysis
            - disable_contact
            - recommendation_new_contact
            - scheduled_email_approval
            - scheduled_call_approval
      required:
        - label
        - object
        - organization_id
        - type
    Address:
      type: object
      properties:
        city:
          type: string
          description: City, district, suburb, town, or village.
          nullable: true
        coordinates:
          anyOf:
            - type: object
              nullable: true
            - $ref: '#/components/schemas/Coordinates'
        country:
          type: string
          maxLength: 3
          description: >-
            Two-letter country code. [(ISO 3166
            alpha-2)](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
          nullable: true
        created_at:
          type: string
          format: date-time
        description:
          type: string
          nullable: true
        line1:
          type: string
          description: Address line 1 (e.g., street, PO Box, or company name).
          nullable: true
        line2:
          type: string
          description: Address line 2 (e.g., apartment, suite, unit, or building).
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          nullable: true
        object:
          type: string
        phone:
          type: string
          maxLength: 20
          nullable: true
        postal_code:
          type: string
          description: ZIP or postal code.
          nullable: true
        remote_id:
          type: string
          description: The address' third party API ID.
          nullable: true
        state:
          type: string
          description: State, county, province, or region.
          nullable: true
        type:
          type: string
          description: >-
            Whether the address is a shipping, billing, or other type of
            address.
      required:
        - object
    Email:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/Attachment'
        author:
          $ref: '#/components/schemas/User'
        author_id:
          type: string
          maxLength: 32
          nullable: true
        bcc:
          type: array
          items:
            type: string
        body:
          type: string
          description: The HTML body of the email.
          nullable: true
        bounced_addresses:
          type: array
          description: List of email addresses that bounced for this email
          items:
            type: string
        bulk_email_request_id:
          type: string
          maxLength: 32
          nullable: true
        cc:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        custom_headers:
          description: Custom email headers
          nullable: true
        direction:
          maxLength: 8
          description: The request direction of the email. Either inbound or outbound
          enum:
            - inbound
            - outbound
        email_reason:
          type: string
          description: The reason the email was sent.
          nullable: true
        email_sender:
          $ref: '#/components/schemas/EmailSender'
        email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        error_message:
          type: string
          description: The error message if the email failed to send.
          nullable: true
        from_email:
          type: string
        generated_body:
          type: string
          description: >-
            Saves LLM-generated body of the email. Diffed against email body
            when email is sent to get user changes.
          nullable: true
        is_automated:
          type: boolean
          description: >-
            Whether the email was automatically sent by a workflow or an AI
            agent.
        is_generated:
          type: boolean
          description: >-
            Whether the email was automatically generated by a workflow or an AI
            agent.
        is_originated_in_stuut:
          type: boolean
          description: Whether the email originated (was sent through) Stuut.
        is_unread:
          type: boolean
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        parent_email_id:
          type: string
          maxLength: 32
          nullable: true
        participants:
          type: array
          items:
            type: string
            format: email
        remote_id:
          type: string
          description: The Nylas ID of the email
          nullable: true
        remote_links:
          type: array
          items:
            $ref: '#/components/schemas/EmailRemoteLink'
        reply_to:
          type: array
          items:
            type: string
        send_separately:
          type: boolean
        sent_at:
          type: string
          format: date-time
          description: When the email was sent.
          nullable: true
        sent_by_id:
          type: string
          maxLength: 32
          nullable: true
        snippet:
          type: string
          nullable: true
        status:
          maxLength: 7
          enum:
            - draft
            - pending
            - sending
            - sent
            - error
        subject:
          type: string
          nullable: true
        thread_id:
          type: string
          maxLength: 32
        to:
          type: array
          items:
            type: string
      required:
        - object
        - thread_id
    InvoiceLineItem:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        currency:
          type: string
          enum:
            - ADP
            - AED
            - AFA
            - AFN
            - ALK
            - ALL
            - AMD
            - ANG
            - AOA
            - AOK
            - AON
            - AOR
            - ARA
            - ARL
            - ARM
            - ARP
            - ARS
            - ATS
            - AUD
            - AWG
            - AZM
            - AZN
            - BAD
            - BAM
            - BAN
            - BBD
            - BDT
            - BEC
            - BEF
            - BEL
            - BGL
            - BGM
            - BGN
            - BGO
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOL
            - BOP
            - BOV
            - BRB
            - BRC
            - BRE
            - BRL
            - BRN
            - BRR
            - BRZ
            - BSD
            - BTN
            - BUK
            - BWP
            - BYB
            - BYN
            - BYR
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLE
            - CLF
            - CLP
            - CNH
            - CNX
            - CNY
            - COP
            - COU
            - CRC
            - CSD
            - CSK
            - CUC
            - CUP
            - CVE
            - CYP
            - CZK
            - DDM
            - DEM
            - DJF
            - DKK
            - DOP
            - DZD
            - ECS
            - ECV
            - EEK
            - EGP
            - ERN
            - ESA
            - ESB
            - ESP
            - ETB
            - EUR
            - FIM
            - FJD
            - FKP
            - FRF
            - GBP
            - GEK
            - GEL
            - GHC
            - GHS
            - GIP
            - GMD
            - GNF
            - GNS
            - GQE
            - GRD
            - GTQ
            - GWE
            - GWP
            - GYD
            - HKD
            - HNL
            - HRD
            - HRK
            - HTG
            - HUF
            - IDR
            - IEP
            - ILP
            - ILR
            - ILS
            - INR
            - IQD
            - IRR
            - ISJ
            - ISK
            - ITL
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRH
            - KRO
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LTT
            - LUC
            - LUF
            - LUL
            - LVL
            - LVR
            - LYD
            - MAD
            - MAF
            - MCF
            - MDC
            - MDL
            - MGA
            - MGF
            - MKD
            - MKN
            - MLF
            - MMK
            - MNT
            - MOP
            - MRO
            - MRU
            - MTL
            - MTP
            - MUR
            - MVP
            - MVR
            - MWK
            - MXN
            - MXP
            - MXV
            - MYR
            - MZE
            - MZM
            - MZN
            - NAD
            - NGN
            - NIC
            - NIO
            - NLG
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEI
            - PEN
            - PES
            - PGK
            - PHP
            - PKR
            - PLN
            - PLZ
            - PTE
            - PYG
            - QAR
            - RHD
            - ROL
            - RON
            - RSD
            - RUB
            - RUR
            - RWF
            - SAR
            - SBD
            - SCR
            - SDD
            - SDG
            - SDP
            - SEK
            - SGD
            - SHP
            - SIT
            - SKK
            - SLE
            - SLL
            - SOS
            - SRD
            - SRG
            - SSP
            - STD
            - STN
            - SUR
            - SVC
            - SYP
            - SZL
            - THB
            - TJR
            - TJS
            - TMM
            - TMT
            - TND
            - TOP
            - TPE
            - TRL
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UAK
            - UGS
            - UGX
            - USD
            - USN
            - USS
            - UYI
            - UYP
            - UYU
            - UYW
            - UZS
            - VEB
            - VED
            - VEF
            - VES
            - VND
            - VNN
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XCG
            - XDR
            - XEU
            - XFO
            - XFU
            - XOF
            - XPD
            - XPF
            - XPT
            - XRE
            - XSU
            - XTS
            - XUA
            - XXX
            - YDD
            - YER
            - YUD
            - YUM
            - YUN
            - YUR
            - ZAL
            - ZAR
            - ZMK
            - ZMW
            - ZRN
            - ZRZ
            - ZWD
            - ZWL
            - ZWR
            - null
          maxLength: 3
          description: The line item's currency code (e.g. USD).
          nullable: true
        custom_fields: {}
        description:
          type: string
          description: Descriptor of the line item.
          nullable: true
        invoice_id:
          type: string
          maxLength: 32
        line_number:
          type: integer
          description: Line item number
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: The line item's name.
          nullable: true
        object:
          type: string
        period_end_date:
          type: string
          format: date-time
          description: End of the usage period.
          nullable: true
        period_start_date:
          type: string
          format: date-time
          description: Start of the usage period.
          nullable: true
        product_type:
          type: string
          nullable: true
        quantity:
          type: integer
          description: The line item's quantity.
        remote_created_at:
          type: string
          format: date-time
          description: When the third party's entry was created.
          nullable: true
        remote_id:
          type: string
          description: The line item's third party API ID.
        remote_metadata:
          nullable: true
        remote_modified_at:
          type: string
          format: date-time
          description: When the third party's entry was updated.
          nullable: true
        total_amount:
          type: integer
          description: >-
            The line item's total amount, in the currency's smallest unit. (e.g.
            10.00 USD -> 1000)
        total_discount:
          type: integer
          description: >-
            The line item's total discount amount, in the currency's smallest
            unit. (e.g. 10.00 USD -> 1000)
        total_tax:
          type: integer
          description: >-
            The total tax applied to the line item, in the currency's smallest
            unit. (e.g. 10.00 USD -> 1000)
        unit_amount:
          type: integer
          description: >-
            Unit price for a single line item, in the currency's smallest unit.
            (e.g. 10.00 USD -> 1000)
          nullable: true
      required:
        - invoice_id
        - object
        - remote_id
    LinkedIntegration:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        api_subdomain:
          type: string
          nullable: true
        api_url:
          type: string
          nullable: true
        connection_info:
          nullable: true
        created_at:
          type: string
          format: date-time
        credentials_expire_at:
          type: string
          format: date-time
          description: The time at which the credentials expire.
          nullable: true
        health:
          $ref: '#/components/schemas/LinkedIntegrationHealth'
        identity_info:
          nullable: true
        integration:
          $ref: '#/components/schemas/Integration'
        integration_name:
          type: string
        is_configured:
          type: boolean
        is_running_setup:
          type: boolean
        is_sync_disabled:
          type: boolean
          description: >-
            Whether sync tasks are disabled. The intent of this column is to
            temporarily pause sync tasks for maintenance/deploys/etc.
        is_webhooks_enabled:
          type: boolean
        models:
          type: array
          items:
            $ref: '#/components/schemas/LinkedModel'
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: User defined name of the linked integration.
          nullable: true
        object:
          type: string
        owner_id:
          type: string
          maxLength: 32
          nullable: true
        requires_setup:
          type: boolean
        settings:
          type: object
          additionalProperties: {}
        username:
          type: string
          nullable: true
        webhook_listener_url:
          type: string
          nullable: true
        webhook_setup_error:
          type: string
          nullable: true
      required:
        - integration_name
        - is_configured
        - object
        - settings
    PartnerUpdate:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        account_number:
          type: string
          description: The customer's account number.
          nullable: true
        ap_portals:
          type: array
          items:
            $ref: '#/components/schemas/APPortal'
        assignee:
          $ref: '#/components/schemas/User'
        assignee_id:
          type: string
          maxLength: 32
          nullable: true
        billing_address:
          $ref: '#/components/schemas/Address'
        billing_address_id:
          type: integer
          nullable: true
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/Contact'
        created_at:
          type: string
          format: date-time
        currency:
          type: string
          enum:
            - ADP
            - AED
            - AFA
            - AFN
            - ALK
            - ALL
            - AMD
            - ANG
            - AOA
            - AOK
            - AON
            - AOR
            - ARA
            - ARL
            - ARM
            - ARP
            - ARS
            - ATS
            - AUD
            - AWG
            - AZM
            - AZN
            - BAD
            - BAM
            - BAN
            - BBD
            - BDT
            - BEC
            - BEF
            - BEL
            - BGL
            - BGM
            - BGN
            - BGO
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOL
            - BOP
            - BOV
            - BRB
            - BRC
            - BRE
            - BRL
            - BRN
            - BRR
            - BRZ
            - BSD
            - BTN
            - BUK
            - BWP
            - BYB
            - BYN
            - BYR
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLE
            - CLF
            - CLP
            - CNH
            - CNX
            - CNY
            - COP
            - COU
            - CRC
            - CSD
            - CSK
            - CUC
            - CUP
            - CVE
            - CYP
            - CZK
            - DDM
            - DEM
            - DJF
            - DKK
            - DOP
            - DZD
            - ECS
            - ECV
            - EEK
            - EGP
            - ERN
            - ESA
            - ESB
            - ESP
            - ETB
            - EUR
            - FIM
            - FJD
            - FKP
            - FRF
            - GBP
            - GEK
            - GEL
            - GHC
            - GHS
            - GIP
            - GMD
            - GNF
            - GNS
            - GQE
            - GRD
            - GTQ
            - GWE
            - GWP
            - GYD
            - HKD
            - HNL
            - HRD
            - HRK
            - HTG
            - HUF
            - IDR
            - IEP
            - ILP
            - ILR
            - ILS
            - INR
            - IQD
            - IRR
            - ISJ
            - ISK
            - ITL
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRH
            - KRO
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LTT
            - LUC
            - LUF
            - LUL
            - LVL
            - LVR
            - LYD
            - MAD
            - MAF
            - MCF
            - MDC
            - MDL
            - MGA
            - MGF
            - MKD
            - MKN
            - MLF
            - MMK
            - MNT
            - MOP
            - MRO
            - MRU
            - MTL
            - MTP
            - MUR
            - MVP
            - MVR
            - MWK
            - MXN
            - MXP
            - MXV
            - MYR
            - MZE
            - MZM
            - MZN
            - NAD
            - NGN
            - NIC
            - NIO
            - NLG
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEI
            - PEN
            - PES
            - PGK
            - PHP
            - PKR
            - PLN
            - PLZ
            - PTE
            - PYG
            - QAR
            - RHD
            - ROL
            - RON
            - RSD
            - RUB
            - RUR
            - RWF
            - SAR
            - SBD
            - SCR
            - SDD
            - SDG
            - SDP
            - SEK
            - SGD
            - SHP
            - SIT
            - SKK
            - SLE
            - SLL
            - SOS
            - SRD
            - SRG
            - SSP
            - STD
            - STN
            - SUR
            - SVC
            - SYP
            - SZL
            - THB
            - TJR
            - TJS
            - TMM
            - TMT
            - TND
            - TOP
            - TPE
            - TRL
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UAK
            - UGS
            - UGX
            - USD
            - USN
            - USS
            - UYI
            - UYP
            - UYU
            - UYW
            - UZS
            - VEB
            - VED
            - VEF
            - VES
            - VND
            - VNN
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XCG
[...]
